com.anwrt.anycontent.plugins.web.repository.action
Class DeletePageAction

java.lang.Object
  extended byAbstractAction
      extended bycom.anwrt.anycontent.plugins.web.repository.action.DeletePageAction

public class DeletePageAction
extends AbstractAction

This action deletes a page. The required request parameters are:

See Also:
Serialized Form

Field Summary
static java.lang.String PARAMETER_LANG
          The parameter's name in request for the lang to consider
static java.lang.String PARAMETER_PAGE
          The parameter's name in request for the path of the page to delete
static java.lang.String PARAMETER_SITE
          The parameter's name in request for the site of the page to delete
static java.lang.String PARAMETER_SITEMAP
          The parameter's name in request for the sitemap of the page to delete
 
Constructor Summary
DeletePageAction()
           
 
Method Summary
 java.util.Map act(Redirector redirector, SourceResolver resolver, java.util.Map objectModel, java.lang.String source, Parameters parameters)
           
 void service(ServiceManager manager)
           
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

PARAMETER_PAGE

public static final java.lang.String PARAMETER_PAGE
The parameter's name in request for the path of the page to delete

See Also:
Constant Field Values

PARAMETER_SITE

public static final java.lang.String PARAMETER_SITE
The parameter's name in request for the site of the page to delete

See Also:
Constant Field Values

PARAMETER_SITEMAP

public static final java.lang.String PARAMETER_SITEMAP
The parameter's name in request for the sitemap of the page to delete

See Also:
Constant Field Values

PARAMETER_LANG

public static final java.lang.String PARAMETER_LANG
The parameter's name in request for the lang to consider

See Also:
Constant Field Values
Constructor Detail

DeletePageAction

public DeletePageAction()
Method Detail

service

public void service(ServiceManager manager)
             throws ServiceException
Throws:
ServiceException

act

public java.util.Map act(Redirector redirector,
                         SourceResolver resolver,
                         java.util.Map objectModel,
                         java.lang.String source,
                         Parameters parameters)
                  throws java.lang.Exception
Throws:
java.lang.Exception


Copyright © 2006 Anyware Technologies. All Rights Reserved.